$ErrorActionPreference = 'Stop';

$packageName = 'CloudBerryExplorer.AzureStorage'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://www.cloudberrylab.com/download/CloudBerryExplorerSetup_v3.1.0.17Azure_netv4.0.exe'
$url64      = 'http://www.cloudberrylab.com/download/CloudBerryExplorerSetup_v3.1.0.17Azure_netv4.0.exe'

$installerPackage = Join-Path $toolsDir "CloudBerryExplorer.AzureStorage.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = 'a1926acf8103d43444a5f3bbfaae8f3e734e125cabd5e39eb29db2949672a8b1'
  checksumType  = 'sha256'
  checksum64    = 'a1926acf8103d43444a5f3bbfaae8f3e734e125cabd5e39eb29db2949672a8b1'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs

$installerAuto = Join-Path $toolsDir 'CloudBerryExplorer.AzureStorage.au3';
$installArgs = "/c autoit3 `"$installerAuto`" `"$installerPackage`""
Write-Host "Installing `'$installerPackage`' with AutoIt3 using `'$installerAuto`'"
Start-ChocolateyProcessAsAdmin "$installArgs" "cmd.exe"
